Subject: Re: bug#12579: Emacs 24.2 crashes or freezes

From: "Fabrice Niessen" <[email-masked]>
Date: Wed, 28 Nov 2012 11:45:36 +0100

Hello Stefan,

Sorry for my late reply, but I've welcomed a tiny (for the moment, only)
upgrade to our family last week...

Stefan Monnier wrote:
>>   (defconst windows-program-files-dir
>>     (concat (getenv "PROGRAMFILES") "/")
>>     "Defines the default Windows Program Files folder.")
>
>>   (defvar sumatrapdf-command
>>     (concat windows-program-files-dir "SumatraPDF/SumatraPDF.exe")
>>     "Path to the SumatraPDF executable.")
>
> If you replace (concat windows-program-files-dir "SumatraPDF/SumatraPDF.exe")
> with (expand-file-name "SumatraPDF/SumatraPDF.exe" windows-program-files-dir)
> it should work properly (and you can even just use (getenv
> "PROGRAMFILES") for windows-program-files-dir, because expand-file-name
> will add a slash if necessary).

This suggestion and the previous one are perfectly working. Thanks a lot...

The only thing I dislike in this one is the way we write the expansion: I
always find it hard and unintuitive to read something like

  (expand-file-name "SumatraPDF/SumatraPDF.exe" windows-program-files-dir)

instead of a more natural syntax (directory, then file):

  (expand-file-name windows-program-files-dir "SumatraPDF/SumatraPDF.exe")

I know this may sound stupid, and purely syntactic...

Anyway, things are like that... and thanks once again for mentioning ways to
the portability of my .emacs file!

Best regards,
Fabrice